<div id="impact-general">
	<div class="panel-group" id="accordionImpactGeneral">
		<div class="panel panel-default">
			<div class="panel-heading"
				 ng-style="impactGeneralData.status == 'healthy' ? decoration.style.healthy : impactGeneralData.status == 'empty' ? decoration.style.empty : decoration.style.pending"
				 title="{{impactGeneralData.status == 'healthy' ? decoration.tooltip.healthy : impactGeneralData.status == 'empty' ? decoration.tooltip.empty : decoration.tooltip.unknown}}">

				<div class="panel-title" data-toggle="collapse" data-parent="#accordionImpactGeneral" data-target="#impactGeneralContainer" ng-click="toggleCollapsibleImpact()">
					<h3>IMPACT Requests
						<span class="panel-heading-icon glyphicon" ng-class="decoration.collapsed.impactGeneral ? 'glyphicon-chevron-right' : 'glyphicon-chevron-up' "></span>
					</h3>
					<loading-data ng-hide="impactGeneralData.completed"></loading-data>
				</div>
			</div>
			<div id="impactGeneralContainer" class="panel-collapse collapse" ng-class="collapseImpact">
				<div class="panel-body">
					<div ng-hide="requestStatus.loading.impactGeneral" class="col-lg-12">
						<div ng-repeat="impact in impactGeneralData.impactData" class="table-responsive">
							<div class="well" style="background:#c2c2c2">
								<h3 style=" margin: 0; display: inline-block;">{{impact.title}}</h3>
								<a style="float:right" ng-href="{{impact.link}}" rel="noopener" target="_blank"><button class="btn">Show in IMPACT</button></a>
							</div>
							<table class="table table-hover">
								<tbody>
								<tr>
									<td class="tr-header">Request ID</td>
									<td>{{impact.id}}</td>
								</tr>
								<tr>
									<td class="tr-header">Facility</td>
									<td>{{impact.facility.label}}: {{impact.facility.description}}</td>
								</tr>
								<tr>
									<td class="tr-header">Description</td>
									<td>{{impact.description}}</td>
								</tr>
								<tr>
									<td class="tr-header">Status</td>
									<td>{{impact.status.label}}: {{impact.status.description}}</td>
								</tr>
								<tr>
									<td class="tr-header">Approvals</td>
									<td></td>
								</tr>
								</tbody>
							</table>
							<table class="table table-hover">
								<tbody ng-repeat="approval in impact.approvals">
								<tr style="background:#e0dfdf">
									<td class="tr-header">Type</td>
									<td class="tr-header">{{approval.approvalType.label}}</td>
								</tr>
								<tr>
									<td class="tr-header">Status</td>
									<td>{{approval.approvalStatus.label}}</td>
								</tr>
								<tr>
									<td class="tr-header">Reason</td>
									<td>{{approval.reason}}</td>
								</tr>
								<tr>
									<td class="tr-header">Approver</td>
									<td>{{approval.approver}}</td>
								</tr>
								<tr>
									<td class="tr-header">Role</td>
									<td>{{approval.approvalRole}}</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>